Github messages for voidlinux
 help / color / Atom feed
* Re: Add multiple Postgresql version
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-243@inbox.vuxu.org>
@ 2019-05-08  2:23 ` voidlinux-github
  2019-10-13  2:43 ` voidlinux-github
                   ` (7 subsequent siblings)
  8 siblings, 0 replies; 9+ messages in thread
From: voidlinux-github @ 2019-05-08  2:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 153 bytes --]

New comment by CameronNemo on void-packages repository

https://github.com/void-linux/void-packages/issues/243#issuecomment-490322108
Comment:
@xtraeme 

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Add multiple Postgresql version
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-243@inbox.vuxu.org>
  2019-05-08  2:23 ` Add multiple Postgresql version voidlinux-github
@ 2019-10-13  2:43 ` voidlinux-github
  2019-10-13  5:05 ` voidlinux-github
                   ` (6 subsequent siblings)
  8 siblings, 0 replies; 9+ messages in thread
From: voidlinux-github @ 2019-10-13  2:43 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 270 bytes --]

New comment by obunden on void-packages repository

https://github.com/void-linux/void-packages/issues/243#issuecomment-541379944

Comment:
@Hoshpak Can this be closed since we only seem to support version 9.x? If there are no plans on including the newer ones that is.

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Add multiple Postgresql version
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-243@inbox.vuxu.org>
  2019-05-08  2:23 ` Add multiple Postgresql version voidlinux-github
  2019-10-13  2:43 ` voidlinux-github
@ 2019-10-13  5:05 ` voidlinux-github
  2019-10-13  6:41 ` voidlinux-github
                   ` (5 subsequent siblings)
  8 siblings, 0 replies; 9+ messages in thread
From: voidlinux-github @ 2019-10-13  5:05 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 171 bytes --]

New comment by CameronNemo on void-packages repository

https://github.com/void-linux/void-packages/issues/243#issuecomment-541386781

Comment:
We do want newer versions.

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Add multiple Postgresql version
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-243@inbox.vuxu.org>
                   ` (2 preceding siblings ...)
  2019-10-13  5:05 ` voidlinux-github
@ 2019-10-13  6:41 ` voidlinux-github
  2019-10-13  9:46 ` voidlinux-github
                   ` (4 subsequent siblings)
  8 siblings, 0 replies; 9+ messages in thread
From: voidlinux-github @ 2019-10-13  6:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 176 bytes --]

New comment by Hoshpak on void-packages repository

https://github.com/void-linux/void-packages/issues/243#issuecomment-541391736

Comment:
Indeed, someones just has to do it.

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Add multiple Postgresql version
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-243@inbox.vuxu.org>
                   ` (3 preceding siblings ...)
  2019-10-13  6:41 ` voidlinux-github
@ 2019-10-13  9:46 ` voidlinux-github
  2019-10-13 19:41 ` voidlinux-github
                   ` (3 subsequent siblings)
  8 siblings, 0 replies; 9+ messages in thread
From: voidlinux-github @ 2019-10-13  9:46 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 270 bytes --]

New comment by obunden on void-packages repository

https://github.com/void-linux/void-packages/issues/243#issuecomment-541403494

Comment:
Ok roger that, is the issue how to support different versions at once? Or is it just that it just hasn't been done by anyone yet?

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Add multiple Postgresql version
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-243@inbox.vuxu.org>
                   ` (4 preceding siblings ...)
  2019-10-13  9:46 ` voidlinux-github
@ 2019-10-13 19:41 ` voidlinux-github
  2019-10-13 20:17 ` voidlinux-github
                   ` (2 subsequent siblings)
  8 siblings, 0 replies; 9+ messages in thread
From: voidlinux-github @ 2019-10-13 19:41 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 514 bytes --]

New comment by Hoshpak on void-packages repository

https://github.com/void-linux/void-packages/issues/243#issuecomment-541451235

Comment:
Both, since an automatic upgrade is not possible, we should figure out how to provide several versions at once so people who want to upgrade can do so manually. It shouldn't be hard if all libraries are versioned properly so they don't conflict. My guess is that no one did it yet since relatively few people run postgres servers on Void so there's not much interest in it.

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Add multiple Postgresql version
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-243@inbox.vuxu.org>
                   ` (5 preceding siblings ...)
  2019-10-13 19:41 ` voidlinux-github
@ 2019-10-13 20:17 ` voidlinux-github
  2019-10-14  5:11 ` voidlinux-github
  2019-11-08  4:58 ` voidlinux-github
  8 siblings, 0 replies; 9+ messages in thread
From: voidlinux-github @ 2019-10-13 20:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 5013 bytes --]

New comment by CameronNemo on void-packages repository

https://github.com/void-linux/void-packages/issues/243#issuecomment-541455044

Comment:
There are large sets of unversioned libraries and other assets. The mentioned Arch package installs into /opt https://www.archlinux.org/packages/extra/x86_64/postgresql-old-upgrade/.

```
/usr/lib/postgresql/ascii_and_mic.so
/usr/lib/postgresql/cyrillic_and_mic.so
/usr/lib/postgresql/dict_snowball.so
/usr/lib/postgresql/euc2004_sjis2004.so
/usr/lib/postgresql/euc_cn_and_mic.so
/usr/lib/postgresql/euc_jp_and_sjis.so
/usr/lib/postgresql/euc_kr_and_mic.so
/usr/lib/postgresql/euc_tw_and_big5.so
/usr/lib/postgresql/latin2_and_win1250.so
/usr/lib/postgresql/latin_and_mic.so
/usr/lib/postgresql/libpqwalreceiver.so
/usr/lib/postgresql/plpgsql.so
/usr/lib/postgresql/utf8_and_ascii.so
/usr/lib/postgresql/utf8_and_big5.so
/usr/lib/postgresql/utf8_and_cyrillic.so
/usr/lib/postgresql/utf8_and_euc2004.so
/usr/lib/postgresql/utf8_and_euc_cn.so
/usr/lib/postgresql/utf8_and_euc_jp.so
/usr/lib/postgresql/utf8_and_euc_kr.so
/usr/lib/postgresql/utf8_and_euc_tw.so
/usr/lib/postgresql/utf8_and_gb18030.so
/usr/lib/postgresql/utf8_and_gbk.so
/usr/lib/postgresql/utf8_and_iso8859.so
/usr/lib/postgresql/utf8_and_iso8859_1.so
/usr/lib/postgresql/utf8_and_johab.so
/usr/lib/postgresql/utf8_and_sjis.so
/usr/lib/postgresql/utf8_and_sjis2004.so
/usr/lib/postgresql/utf8_and_uhc.so
/usr/lib/postgresql/utf8_and_win.so
```

```
/usr/share/postgresql/conversion_create.sql
/usr/share/postgresql/extension/plperl--1.0.sql
/usr/share/postgresql/extension/plperl--unpackaged--1.0.sql
/usr/share/postgresql/extension/plperl.control
/usr/share/postgresql/extension/plperlu--1.0.sql
/usr/share/postgresql/extension/plperlu--unpackaged--1.0.sql
/usr/share/postgresql/extension/plperlu.control
/usr/share/postgresql/extension/plpgsql--1.0.sql
/usr/share/postgresql/extension/plpgsql--unpackaged--1.0.sql
/usr/share/postgresql/extension/plpgsql.control
/usr/share/postgresql/extension/plpython2u--1.0.sql
/usr/share/postgresql/extension/plpython2u--unpackaged--1.0.sql
/usr/share/postgresql/extension/plpython2u.control
/usr/share/postgresql/extension/plpythonu--1.0.sql
/usr/share/postgresql/extension/plpythonu--unpackaged--1.0.sql
/usr/share/postgresql/extension/plpythonu.control
/usr/share/postgresql/extension/pltcl--1.0.sql
/usr/share/postgresql/extension/pltcl--unpackaged--1.0.sql
/usr/share/postgresql/extension/pltcl.control
/usr/share/postgresql/extension/pltclu--1.0.sql
/usr/share/postgresql/extension/pltclu--unpackaged--1.0.sql
/usr/share/postgresql/extension/pltclu.control
/usr/share/postgresql/information_schema.sql
/usr/share/postgresql/pg_hba.conf.sample
/usr/share/postgresql/pg_ident.conf.sample
/usr/share/postgresql/pg_service.conf.sample
/usr/share/postgresql/postgres.bki
/usr/share/postgresql/postgres.description
/usr/share/postgresql/postgres.shdescription
/usr/share/postgresql/postgresql.conf.sample
/usr/share/postgresql/recovery.conf.sample
/usr/share/postgresql/snowball_create.sql
/usr/share/postgresql/sql_features.txt
/usr/share/postgresql/system_views.sql
/usr/share/postgresql/timezonesets/Africa.txt
/usr/share/postgresql/timezonesets/America.txt
/usr/share/postgresql/timezonesets/Antarctica.txt
/usr/share/postgresql/timezonesets/Asia.txt
/usr/share/postgresql/timezonesets/Atlantic.txt
/usr/share/postgresql/timezonesets/Australia
/usr/share/postgresql/timezonesets/Australia.txt
/usr/share/postgresql/timezonesets/Default
/usr/share/postgresql/timezonesets/Etc.txt
/usr/share/postgresql/timezonesets/Europe.txt
/usr/share/postgresql/timezonesets/India
/usr/share/postgresql/timezonesets/Indian.txt
/usr/share/postgresql/timezonesets/Pacific.txt
/usr/share/postgresql/tsearch_data/danish.stop
/usr/share/postgresql/tsearch_data/dutch.stop
/usr/share/postgresql/tsearch_data/english.stop
/usr/share/postgresql/tsearch_data/finnish.stop
/usr/share/postgresql/tsearch_data/french.stop
/usr/share/postgresql/tsearch_data/german.stop
/usr/share/postgresql/tsearch_data/hungarian.stop
/usr/share/postgresql/tsearch_data/hunspell_sample.affix
/usr/share/postgresql/tsearch_data/hunspell_sample_long.affix
/usr/share/postgresql/tsearch_data/hunspell_sample_long.dict
/usr/share/postgresql/tsearch_data/hunspell_sample_num.affix
/usr/share/postgresql/tsearch_data/hunspell_sample_num.dict
/usr/share/postgresql/tsearch_data/ispell_sample.affix
/usr/share/postgresql/tsearch_data/ispell_sample.dict
/usr/share/postgresql/tsearch_data/italian.stop
/usr/share/postgresql/tsearch_data/norwegian.stop
/usr/share/postgresql/tsearch_data/portuguese.stop
/usr/share/postgresql/tsearch_data/russian.stop
/usr/share/postgresql/tsearch_data/spanish.stop
/usr/share/postgresql/tsearch_data/swedish.stop
/usr/share/postgresql/tsearch_data/synonym_sample.syn
/usr/share/postgresql/tsearch_data/thesaurus_sample.ths
/usr/share/postgresql/tsearch_data/turkish.stop
```

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Add multiple Postgresql version
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-243@inbox.vuxu.org>
                   ` (6 preceding siblings ...)
  2019-10-13 20:17 ` voidlinux-github
@ 2019-10-14  5:11 ` voidlinux-github
  2019-11-08  4:58 ` voidlinux-github
  8 siblings, 0 replies; 9+ messages in thread
From: voidlinux-github @ 2019-10-14  5:11 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 476 bytes --]

New comment by Chocimier on void-packages repository

https://github.com/void-linux/void-packages/issues/243#issuecomment-541504793

Comment:
I tried once with goal to allow use pg_upgrade but I was not glad with [results](https://github.com/Chocimier/void-packages-org/tree/postgres11). This version is not even tested, I guess.

However, I take some [notes](https://github.com/Chocimier/void-packages-org/blob/postgres11/srcpkgs/postgresql/notes) that may be more useful.

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: Add multiple Postgresql version
       [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-243@inbox.vuxu.org>
                   ` (7 preceding siblings ...)
  2019-10-14  5:11 ` voidlinux-github
@ 2019-11-08  4:58 ` voidlinux-github
  8 siblings, 0 replies; 9+ messages in thread
From: voidlinux-github @ 2019-11-08  4:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1142 bytes --]

New comment by arp242 on void-packages repository

https://github.com/void-linux/void-packages/issues/243#issuecomment-551385081

Comment:
> we should figure out how to provide several versions at once so people who want to upgrade can do so manually. It shouldn't be hard if all libraries are versioned properly so they don't conflict. My guess is that no one did it yet since relatively few people run postgres servers on Void so there's not much interest in it.

The easiest way to get this done is to create new `postgres10`, `postgres11`, and `postgres12` packages which all conflict with each other. That's what [FreeBSD does](https://github.com/freebsd/freebsd-ports/blob/master/databases/postgresql12-server/Makefile#L18-L22) for example.

While allowing multiple versions to be installed side-by-side would be better, multiple conflicting versions would already be a vast improvement over the current situation. 9.6 will still be supported until [Nov 2022](https://www.postgresql.org/support/versioning/), there are three new major releases (10, 11, and 12) that can't be easily used on Void right now, which is less than ideal.

^ permalink raw reply	[flat|nested] 9+ messages in thread

end of thread, back to index

Thread overview: 9+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
     [not found] <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-243@inbox.vuxu.org>
2019-05-08  2:23 ` Add multiple Postgresql version voidlinux-github
2019-10-13  2:43 ` voidlinux-github
2019-10-13  5:05 ` voidlinux-github
2019-10-13  6:41 ` voidlinux-github
2019-10-13  9:46 ` voidlinux-github
2019-10-13 19:41 ` voidlinux-github
2019-10-13 20:17 ` voidlinux-github
2019-10-14  5:11 ` voidlinux-github
2019-11-08  4:58 ` voidlinux-github

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git